List action cards
curl --request GET \
--url https://api.example.com/api/graph/v1/action-cards-v2import requests
url = "https://api.example.com/api/graph/v1/action-cards-v2"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/graph/v1/action-cards-v2', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cards": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "manual",
"underlying_symbol": "<string>",
"instrument_type": "equity",
"instrument_symbol": "<string>",
"direction": "LONG",
"timeframe": "intraday",
"entry_price": "<string>",
"stop_loss": "<string>",
"targets": [
{
"price": "<string>",
"exit_pct": 50,
"label": "<string>"
}
],
"status": "draft",
"completeness": "skeleton",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"risk_reward": "<string>",
"source_id": "<string>",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"group_role": "<string>",
"contract": {
"symbol": "<string>",
"expiration": "<string>",
"strike": "<string>",
"option_type": "call",
"delta": 123,
"gamma": 123,
"theta": 123,
"vega": 123,
"iv": 123,
"iv_percentile": 123,
"bid": "<string>",
"ask": "<string>",
"mid": "<string>",
"spread_pct": 123,
"oi": 123,
"volume": 123,
"dte": 123
},
"premium_levels": {
"entry": "<string>",
"stop": "<string>",
"t1": "<string>",
"t2": "<string>",
"breakeven": "<string>"
},
"market_context": {
"regime": {
"classification": "<string>",
"confidence": 123,
"vix": 123,
"vix_context": "<string>"
},
"day_type": {
"classification": "<string>",
"confidence": 123,
"size_modifier": 123
},
"confluence": {
"bull": 123,
"bear": 123,
"net": 123,
"tier": "<string>",
"bias": "<string>"
},
"trend": {
"price": 123,
"ema20": 123,
"sma50": 123,
"sma200": 123,
"stack_valid": true
},
"volume": {
"rvol": 123,
"trend": "<string>",
"breakout_node": "<string>"
},
"institutional_levels": {
"vwap": 123,
"ib_high": 123,
"ib_low": 123,
"poc": 123,
"vah": 123,
"val": 123,
"pivots": {}
}
},
"sizing": {
"shares_or_contracts": 123,
"risk_per_unit": "<string>",
"risk_dollars": "<string>",
"position_value": "<string>",
"portfolio_heat_pct": 123,
"day_type_modifier": 123,
"vix_modifier": 123,
"consecutive_loss_modifier": 123
},
"entry_plan": {
"order_type": "<string>",
"limit_price": "<string>",
"trigger_conditions": [
"<string>"
],
"trigger_type": "<string>",
"trigger_level": "<string>",
"entry_zone": {},
"scaling": [
{}
],
"invalidation": "<string>",
"time_window": "<string>"
},
"exit_plan": {
"stop_type": "<string>",
"trail_offset": "<string>",
"time_stop": "<string>",
"partial_targets": [
{}
],
"stop_management": {},
"time_stops": {},
"invalidations": [
{}
]
},
"risk_context": {
"portfolio_heat_before": 123,
"portfolio_heat_after": 123,
"correlated_positions": [
"<string>"
],
"max_daily_loss_used": 123,
"gates_passed": [
"<string>"
],
"gates_failed": [
"<string>"
],
"daily_pnl_pct": 123,
"weekly_pnl_pct": 123,
"open_positions": 123,
"available_slots": 123,
"cleared_to_trade": true
},
"validation": {
"confidence": 123,
"key_risk": "<string>",
"debate_id": "<string>",
"thesis_alignment": "<string>",
"edge_quality": "<string>",
"deciding_factors": [
"<string>"
],
"agent_session_id": "<string>",
"reasoning": "<string>",
"pop": 123,
"pop_source": "<string>",
"pop_sample_size": 123,
"rationale": "<string>"
},
"backtest_edge": {
"total_trades": 123,
"win_rate": 123,
"avg_r": 123,
"profit_factor": 123,
"edge_quality": "<string>",
"similar_setups": [
{}
]
},
"execution_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outcome": {
"pnl_dollars": "<string>",
"pnl_pct": 123,
"r_multiple": 123,
"exit_reason": "<string>",
"hold_days": 123,
"filled_price": "<string>",
"closed_at": "2023-11-07T05:31:56Z"
},
"time_validity": "<string>",
"change_log": [
{}
],
"expires_at": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"filters": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Action Cards V2
List action cards
List action cards with optional filters.
GET
/
api
/
graph
/
v1
/
action-cards-v2
List action cards
Query Parameters
Required range:
1 <= x <= 200Required range:
x >= 0